FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Functions
flexbox.cpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions
Element | flexbox (Elements children, FlexboxConfig config)
| A container displaying elements on row/columns and capable of wrapping on the next column/row when full.
Element | hflow (Elements children)
| A container displaying elements in rows from left to right. When filled, it starts on a new row below.
Element | vflow (Elements children)
| A container displaying elements in rows from top to bottom. When filled, it starts on a new columns on the right. filled, it starts on a new row. is full, it starts a new row.

## Variable Documentation

## ◆ asked_

int asked_ = 6000

Definition at line 222 of file flexbox.cpp.

## ◆ need_iteration_

bool need_iteration_ = true

Definition at line 223 of file flexbox.cpp.

## ◆ config_

const FlexboxConfig config_

Definition at line 224 of file flexbox.cpp.

## ◆ config_normalized_

const FlexboxConfig config_normalized_

Definition at line 225 of file flexbox.cpp.

## ◆ global_

flexbox_helper::Global global_

Definition at line 226 of file flexbox.cpp.